##### posix::basic_descriptor::basic_descriptor (5 of 6 overloads)

Move-construct a descriptor from another.

    basic_descriptor(
        basic_descriptor && other);

This constructor moves a descriptor from one object to another.

###### Parameters

other

  The other descriptor object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_descriptor(const executor_type&)` constructor.